"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeMLModels_1 = require("../model/operations/DescribeMLModels");
var DescribeMLModelsCommand = /** @class */ (function () {
    function DescribeMLModelsCommand(input) {
        this.input = input;
        this.model = DescribeMLModels_1.DescribeMLModels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeMLModelsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeMLModelsCommand;
}());
exports.DescribeMLModelsCommand = DescribeMLModelsCommand;
//# sourceMappingURL=DescribeMLModelsCommand.js.map