"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateBatchPrediction_1 = require("../model/operations/UpdateBatchPrediction");
var UpdateBatchPredictionCommand = /** @class */ (function () {
    function UpdateBatchPredictionCommand(input) {
        this.input = input;
        this.model = UpdateBatchPrediction_1.UpdateBatchPrediction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateBatchPredictionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateBatchPredictionCommand;
}());
exports.UpdateBatchPredictionCommand = UpdateBatchPredictionCommand;
//# sourceMappingURL=UpdateBatchPredictionCommand.js.map