"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDataSourceFromS3Input_1 = require("../shapes/CreateDataSourceFromS3Input");
var CreateDataSourceFromS3Output_1 = require("../shapes/CreateDataSourceFromS3Output");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDataSourceFromS3 = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDataSourceFromS3",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDataSourceFromS3Input_1.CreateDataSourceFromS3Input
    },
    output: {
        shape: CreateDataSourceFromS3Output_1.CreateDataSourceFromS3Output
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        }
    ]
};
//# sourceMappingURL=CreateDataSourceFromS3.js.map