"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateRealtimeEndpointInput_1 = require("../shapes/CreateRealtimeEndpointInput");
var CreateRealtimeEndpointOutput_1 = require("../shapes/CreateRealtimeEndpointOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateRealtimeEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateRealtimeEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateRealtimeEndpointInput_1.CreateRealtimeEndpointInput
    },
    output: {
        shape: CreateRealtimeEndpointOutput_1.CreateRealtimeEndpointOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=CreateRealtimeEndpoint.js.map