"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDataSourceInput_1 = require("../shapes/DeleteDataSourceInput");
var DeleteDataSourceOutput_1 = require("../shapes/DeleteDataSourceOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDataSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDataSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDataSourceInput_1.DeleteDataSourceInput
    },
    output: {
        shape: DeleteDataSourceOutput_1.DeleteDataSourceOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DeleteDataSource.js.map