"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteEvaluationInput_1 = require("../shapes/DeleteEvaluationInput");
var DeleteEvaluationOutput_1 = require("../shapes/DeleteEvaluationOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEvaluation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEvaluation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteEvaluationInput_1.DeleteEvaluationInput
    },
    output: {
        shape: DeleteEvaluationOutput_1.DeleteEvaluationOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DeleteEvaluation.js.map