"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteMLModelInput_1 = require("../shapes/DeleteMLModelInput");
var DeleteMLModelOutput_1 = require("../shapes/DeleteMLModelOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteMLModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteMLModel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteMLModelInput_1.DeleteMLModelInput
    },
    output: {
        shape: DeleteMLModelOutput_1.DeleteMLModelOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DeleteMLModel.js.map