"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteTagsInput_1 = require("../shapes/DeleteTagsInput");
var DeleteTagsOutput_1 = require("../shapes/DeleteTagsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var InvalidTagException_1 = require("../shapes/InvalidTagException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteTagsInput_1.DeleteTagsInput
    },
    output: {
        shape: DeleteTagsOutput_1.DeleteTagsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DeleteTags.js.map