"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeBatchPredictionsInput_1 = require("../shapes/DescribeBatchPredictionsInput");
var DescribeBatchPredictionsOutput_1 = require("../shapes/DescribeBatchPredictionsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeBatchPredictions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeBatchPredictions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeBatchPredictionsInput_1.DescribeBatchPredictionsInput
    },
    output: {
        shape: DescribeBatchPredictionsOutput_1.DescribeBatchPredictionsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DescribeBatchPredictions.js.map