"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDataSourcesInput_1 = require("../shapes/DescribeDataSourcesInput");
var DescribeDataSourcesOutput_1 = require("../shapes/DescribeDataSourcesOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDataSources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDataSources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDataSourcesInput_1.DescribeDataSourcesInput
    },
    output: {
        shape: DescribeDataSourcesOutput_1.DescribeDataSourcesOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DescribeDataSources.js.map