"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTagsInput_1 = require("../shapes/DescribeTagsInput");
var DescribeTagsOutput_1 = require("../shapes/DescribeTagsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTagsInput_1.DescribeTagsInput
    },
    output: {
        shape: DescribeTagsOutput_1.DescribeTagsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DescribeTags.js.map