"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetEvaluationInput_1 = require("../shapes/GetEvaluationInput");
var GetEvaluationOutput_1 = require("../shapes/GetEvaluationOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetEvaluation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetEvaluation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetEvaluationInput_1.GetEvaluationInput
    },
    output: {
        shape: GetEvaluationOutput_1.GetEvaluationOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=GetEvaluation.js.map