"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateDataSourceInput_1 = require("../shapes/UpdateDataSourceInput");
var UpdateDataSourceOutput_1 = require("../shapes/UpdateDataSourceOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDataSource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDataSource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateDataSourceInput_1.UpdateDataSourceInput
    },
    output: {
        shape: UpdateDataSourceOutput_1.UpdateDataSourceOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=UpdateDataSource.js.map