"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateEvaluationInput_1 = require("../shapes/UpdateEvaluationInput");
var UpdateEvaluationOutput_1 = require("../shapes/UpdateEvaluationOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateEvaluation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateEvaluation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateEvaluationInput_1.UpdateEvaluationInput
    },
    output: {
        shape: UpdateEvaluationOutput_1.UpdateEvaluationOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=UpdateEvaluation.js.map