"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateMLModelInput_1 = require("../shapes/UpdateMLModelInput");
var UpdateMLModelOutput_1 = require("../shapes/UpdateMLModelOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateMLModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateMLModel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateMLModelInput_1.UpdateMLModelInput
    },
    output: {
        shape: UpdateMLModelOutput_1.UpdateMLModelOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=UpdateMLModel.js.map