"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteBatchPredictionInput_1 = require("../shapes/DeleteBatchPredictionInput");
var DeleteBatchPredictionOutput_1 = require("../shapes/DeleteBatchPredictionOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteBatchPrediction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteBatchPrediction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteBatchPredictionInput_1.DeleteBatchPredictionInput
    },
    output: {
        shape: DeleteBatchPredictionOutput_1.DeleteBatchPredictionOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DeleteBatchPrediction.js.map