"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetMLModelInput_1 = require("../shapes/GetMLModelInput");
var GetMLModelOutput_1 = require("../shapes/GetMLModelOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetMLModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetMLModel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetMLModelInput_1.GetMLModelInput
    },
    output: {
        shape: GetMLModelOutput_1.GetMLModelOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=GetMLModel.js.map